
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;


/**
 * 购物车中选中的套餐活动项信息
 *
 * @author xxw
 * @date 2022/8/23 14:00
 */
public class ChooseComboItemVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "主商品购物车id")
    private Long mainProdBasketId;

    @Schema(description = "套餐总金额")
    private Long comboTotalAmount;

    @Schema(description = "套餐金额(套餐单价)")
    private Long comboAmount;

    @Schema(description = "套餐优惠金额")
    private Long preferentialAmount;

    @Schema(description = "套餐数量")
    private Integer comboCount;

    @Schema(description = "套餐名称")
    private String name;

    /**
     * 套餐序号
     * 套餐可能会进行分单操作，且一个订单中可能包含多个相同套餐不同规格，所以需要一个独立的参数来标识套餐
     */
    private Integer index;

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public Long getMainProdBasketId() {
        return mainProdBasketId;
    }

    public void setMainProdBasketId(Long mainProdBasketId) {
        this.mainProdBasketId = mainProdBasketId;
    }

    public Long getComboTotalAmount() {
        return comboTotalAmount;
    }

    public void setComboTotalAmount(Long comboTotalAmount) {
        this.comboTotalAmount = comboTotalAmount;
    }

    public Long getComboAmount() {
        return comboAmount;
    }

    public void setComboAmount(Long comboAmount) {
        this.comboAmount = comboAmount;
    }

    public Long getPreferentialAmount() {
        return preferentialAmount;
    }

    public void setPreferentialAmount(Long preferentialAmount) {
        this.preferentialAmount = preferentialAmount;
    }

    public Integer getComboCount() {
        return comboCount;
    }

    public void setComboCount(Integer comboCount) {
        this.comboCount = comboCount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }
}
